View Issue Details

IDProjectCategoryView StatusLast Update
0002767FreeCADBugpublic2017-01-28 05:05
ReportereivindkvedalenAssigned Toeivindkvedalen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.16 
Target Version0.16Fixed in Version0.17 
Summary0002767: Parentheses incorrectly removed from expressions
DescriptionSee http://forum.freecadweb.org/viewtopic.php?f=10&t=17223 for a thorough description.
Steps To ReproducePut in a cell the formula "=8/(2^2*2)".
You get the correct result: 1
But at looking into the cell contents, it now contains: "=8/ 2^2*2"
After closing and opening the document the cell contains the result: 4
TagsNo tags attached.

Relationships

related to 0002879 closedeivindkvedalen Parentheses incorrectly removed from expressions (addendum to 0002767

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master eb32b3d8

2016-09-04 23:54:06

Eivind Kvedalen


Committer: wmayer Details Diff
Spreadsheet: Fixed for issue 0002767: In some instances, needed parentheses are dropped from the expression. Fixed and updated unit tests. Affected Issues
0002767
mod - src/App/Expression.cpp Diff File
mod - src/Mod/Spreadsheet/TestSpreadsheet.py Diff File

Issue History

Date Modified Username Field Change
2016-11-11 21:11 eivindkvedalen New Issue
2016-11-11 21:11 eivindkvedalen Status new => assigned
2016-11-11 21:11 eivindkvedalen Assigned To => eivindkvedalen
2016-12-15 16:41 wmayer Changeset attached => FreeCAD Master master eb32b3d8
2016-12-15 17:06 wmayer Status assigned => closed
2016-12-15 17:06 wmayer Resolution open => fixed
2016-12-15 17:06 wmayer Fixed in Version => 0.17
2017-01-28 05:05 Kunda1 Relationship added related to 0002879